콘텐츠로 건너뛰기

try-on

통합

모델 id cat-vton
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cat-vton?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "human_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "cloth_type": "upper"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.018 18 API 크레딧 이 페이지에서 실행

API 키 받기
Open model 이미지 편집 #try-on#fashion#clothing

의류 유형을 선택하여 사람 사진에 의류 이미지를 입히는 가상 피팅

Open model · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수
파일을 끌어다 놓거나

사람의 이미지 URL입니다.

•필수
파일을 끌어다 놓거나

의류 이미지 URL입니다.

cloth_type •필수

가상 착용의 의류 카테고리입니다. upper는 상의, lower는 하의, overall은 전신 의류, inner는 재킷 아래의 티셔츠 같은 안쪽 레이어, outer는 티셔츠 위의 재킷 같은 바깥 레이어를 의미합니다.

image_size 기본값 portrait_4_3

생성된 이미지의 치수입니다.

고급 num_inference_steps · guidance_scale · seed · enable_safety_checker
기본값 30

실행할 추론 단계 수입니다.

기본값 2.5

이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.

이미지 재현을 위한 시드입니다. 이미지를 재현하려면 시드, 입력, 모델 버전을 동일하게 유지해야 하며, 이 조건에서는 실행할 때마다 결과가 동일합니다.

POST /run/cat-vton?wait=20 견적 → $0.018
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cat-vton?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "human_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "cloth_type": "upper"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

try-on 정보

지정한 의류를 입은 사람을 렌더링합니다. `human_image_url`, `garment_image_url`, `cloth_type`이 필요하며, cloth_type은 upper, lower, overall, inner 또는 outer일 수 있습니다. 출력 크기는 portrait_4_3이나 square_hd 등의 프리셋을 사용합니다. `num_inference_steps`(1~50), `guidance_scale` 및 seed를 조정할 수 있습니다.

매개변수

이름유형 기본값허용됨 설명
human_image_url필수
유형url · image
사람의 이미지 URL입니다.
garment_image_url필수
유형url · image
의류 이미지 URL입니다.
cloth_type필수
유형enum
upperloweroverallinnerouter
가상 착용의 의류 카테고리입니다. upper는 상의, lower는 하의, overall은 전신 의류, inner는 재킷 아래의 티셔츠 같은 안쪽 레이어, outer는 티셔츠 위의 재킷 같은 바깥 레이어를 의미합니다.
image_size선택 사항
유형object
기본값portrait_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
생성된 이미지의 치수입니다.
num_inference_steps선택 사항
유형integer
기본값30
1 – 50
실행할 추론 단계 수입니다.
guidance_scale선택 사항
유형number
기본값2.5
0 – 20
이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.
seed선택 사항
유형integer | null
이미지 재현을 위한 시드입니다. 이미지를 재현하려면 시드, 입력, 모델 버전을 동일하게 유지해야 하며, 이 조건에서는 실행할 때마다 결과가 동일합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cat-vton",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 18,
    "usd": "0.018",
    "charged": 18,
    "refunded": 0
  },
  "input": {
    "human_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "cloth_type": "upper"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
image
object {url, content_type, file_name, file_size, width, height}출력으로 생성된 이미지입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/cat-vton.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt